get
https://partner.gupshup.io/partner/bizgate/app//messaging/subscription/
Returns the full record for a single messaging subscription on a WhatsApp app, identified by its subscription id.
Request parameters
Path parameters
| Key | Description | Values | Data Type | Required/Optional |
|---|---|---|---|---|
| appId | Identifier of the WhatsApp app the call acts on. | 6f414190-d45c-4671-bca1-fb6c3018cb13 | String | Required |
| subId | Identifier of the subscription. | sub-7f3a2b1c | String | Required |
Sample cURL — Get subscription by id.
curl --request GET \
--url 'https://partner.gupshup.io/partner/bizgate/app/6f414190-d45c-4671-bca1-fb6c3018cb13/messaging/subscription/sub-7f3a2b1c' \
--header 'Authorization: Bearer <UT>' \
--header 'Accept: application/json'Sample success response (200)
{
"status": "success",
"data": {
"subscription": {
"id": "sub-7f3a2b1c",
"tag": "primary-webhook",
"appId": "6f414190-d45c-4671-bca1-fb6c3018cb13",
"url": "https://partner.example/webhook/whatsapp",
"active": true,
"version": 3,
"mode": 0,
"modes": [
"MESSAGE",
"DELIVERED",
"READ"
],
"showOnUI": true,
"createdOn": 1779091144256,
"modifiedOn": 1779091144256
}
}
}Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…